Subject: bug#57148: bug#57147: bug#57148: 27.2; Problem with kill-new

From: Ihor Radchenko <[email-masked]>
Date: Sat, 13 Aug 2022 17:56:20 +0800

Po Lu <[email-masked]> writes:

> Thanks.  I can't find the rest of this bug report inside
> "gnus-read-ephemeral-bug-group", so could you please explain what the
> problem is and how to reproduce it?

I think that's because I accidentally replied to the report before it
got registered by debbugs.

Anyway, here is the recipe:

1. Create bug.el with the following contents:
----
(custom-set-variables
 '(select-enable-clipboard nil)
 '(select-enable-primary t))
(defun my/copy-const (beg end)
  (interactive "r")
  (setq deactivate-mark t)
  (kill-new "Constant string"))
----
2. Create bug.org with the following contents:
----
* headline
Hidden text inside
* another headline
----
3. emacs -Q -l /path/to/bug.el /path/to/bug.org
4. S-<TAB>
5. Move point to bob, activate mark, and select down to the eob
6. M-x my/copy-const
7. C-y

Expected: "Constant string" is inserted
Observed: Selected region is inserted.

-- 
Ihor Radchenko,
Org mode contributor,
Learn more about Org mode at https://orgmode.org/.
Support Org development at https://liberapay.com/org-mode,
or support my work at https://liberapay.com/yantar92